curl -X DELETE "https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854", {
method: "DELETE",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
"https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854",
headers={
"X-API-Key": "vaani_<your_key>",
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# Delete by UUID or name
result = client.agents.delete("7ec4155e-0e62-440a-b983-5974f7697854")
print(result["message"]) # "Agent deleted successfully"
{
"message": "Agent deleted successfully"
}
{
"detail": "Agent not found"
}
{
"detail": "Access denied"
}
Agents
Delete Agent
Permanently delete an agent from your account
DELETE
/
api
/
agents
/
{agent_id}
curl -X DELETE "https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854", {
method: "DELETE",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
"https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854",
headers={
"X-API-Key": "vaani_<your_key>",
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# Delete by UUID or name
result = client.agents.delete("7ec4155e-0e62-440a-b983-5974f7697854")
print(result["message"]) # "Agent deleted successfully"
{
"message": "Agent deleted successfully"
}
{
"detail": "Agent not found"
}
{
"detail": "Access denied"
}
Delete Agent
Permanently delete an agent by UUID or name. This action stops any active agent instances, cleans up configurations, and unassigns related resources.Deletion is permanent. Once an agent is deleted, its configuration and assigned prompts cannot be recovered.
Path Parameters
string
required
The unique identifier (UUID) or system name of the agent to delete.
Request Example
curl -X DELETE "https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854" \
-H "X-API-Key: vaani_<your_key>"
const response = await fetch("https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854", {
method: "DELETE",
headers: {
"X-API-Key": "vaani_<your_key>",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
"https://api.vaanivoice.ai/api/agents/7ec4155e-0e62-440a-b983-5974f7697854",
headers={
"X-API-Key": "vaani_<your_key>",
},
)
print(response.json())
from vaani_sdk import VaaniClient
with VaaniClient(api_key="vaani_<your_key>") as client:
# Delete by UUID or name
result = client.agents.delete("7ec4155e-0e62-440a-b983-5974f7697854")
print(result["message"]) # "Agent deleted successfully"
Response
{
"message": "Agent deleted successfully"
}
{
"detail": "Agent not found"
}
{
"detail": "Access denied"
}
string
Confirmation message indicating the agent was successfully deleted.

